### Method

# ECal ComponentText set_from_property

since: 3.46

#### Declaration [src]

    void
    e_cal_component_text_set_from_property (
      ECalComponentText* text,
      const ICalProperty* property
    )

#### Description [src]

Fill the `text` structure with the information from the `property`. The `property` should hold a text value.

Available since: 3.46

#### Parameters

`property`

  Type: `None`

  An `ICalProperty`.

  The data is owned by the caller of the method.